package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouTemplateTarget;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手-定向模板-详情
 *
 * @author: jeecg-boot
 * @date: 2020-11-09
 * @cersion: V1.0
 */
public interface KuaishouTemplateTargetMapper extends BaseMapper<KuaishouTemplateTarget> {

    void templateTargetList(@Param("templateTargetList") List<KuaishouTemplateTarget> templateTargetList);

    KuaishouTemplateTarget queryTemplateTarget(@Param("templateId") Long templateId, @Param("accountId")Long accountId);

    List<KuaishouTemplateTarget> queryTemplateTargetByIds(@Param("templateIds") List<Long> templateIds);
}
