package org.jeecg.modules.ctop.service.impl;

import org.jeecg.modules.ctop.entity.BytedanceCustomerDdTbtjData;
import org.jeecg.modules.ctop.mapper.BytedanceCustomerDdTbtjDataMapper;
import org.jeecg.modules.ctop.service.IBytedanceCustomerDdTbtjDataService;
import org.jeecg.modules.excelutil.entity.BytedanceCustomTbtjDataEntity;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.List;

/**
 * 淘宝特价版客户反馈数据
 * @author jeecg-boot
 * @date   2021-04-22
 * @version V1.0
 */
@Service
public class BytedanceCustomerDdTbtjDataServiceImpl extends ServiceImpl<BytedanceCustomerDdTbtjDataMapper, BytedanceCustomerDdTbtjData> implements IBytedanceCustomerDdTbtjDataService {
    @Resource
    private BytedanceCustomerDdTbtjDataMapper tbtjDataMapper;
    @Override
    public void replaceEntityList(List<BytedanceCustomTbtjDataEntity> datas) {
        tbtjDataMapper.replaceDatas(datas);
    }
}
