package cn.com.ctop.kuaishou.modules.app.service.impl;

import cn.com.ctop.kuaishou.modules.app.entity.KuaishouAccountBalanceBudget;
import cn.com.ctop.kuaishou.modules.app.mapper.KuaishouAccountBalanceBudgetMapper;
import cn.com.ctop.kuaishou.modules.app.service.IKuaishouAccountBalanceBudgetService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 快手-账余额、预算
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-04-16
 */
@Service
public class KuaishouAccountBalanceBudgetServiceImpl extends ServiceImpl<KuaishouAccountBalanceBudgetMapper, KuaishouAccountBalanceBudget> implements IKuaishouAccountBalanceBudgetService {

    @Autowired
    private KuaishouAccountBalanceBudgetMapper budgetMapper;

    @Override
    public void replace(KuaishouAccountBalanceBudget budget) {
        budgetMapper.replace(budget);
    }

    @Override
    public void updateAllIsInvalidState() {
        budgetMapper.updateAllIsInvalidState();
    }
}
